#!/bin/sh
#
# $FreeBSD: ports/comms/atslog/files/atslogd.in,v 1.3 2007/01/28 10:42:02 miwi Exp $
#
# PROVIDE: atslogd
# REQUIRE: mysql postgresql
# KEYWORD: shutdown 

#
# Add the following line to /etc/rc.conf[.local] to enable atslogd
#
# atslogd_enable (bool):	Set to "NO" by default.
#				Set it to "YES" to enable atslogd.

. /etc/rc.subr

name="atslogd"
rcvar=${name}_enable

load_rc_config $name

: ${atslogd_enable="NO"}

command="/usr/local/bin/atslogmaster"
required_files="/usr/local/etc/atslog.conf"
extra_commands="reload writedb rotate alltodb cleardb"
start_cmd="atslogd_command start"
stop_cmd="atslogd_command stop"
reload_cmd="atslogd_command reload"
restart_cmd="atslogd_command restart"
status_cmd="atslogd_command status"
writedb_cmd="atslogd_command writedb"
rotate_cmd="atslogd_command rotate"
alltodb_cmd="atslogd_command alltodb"
cleardb_cmd="atslogd_command cleardb"

atslogd_command()
{
    ${command} ${command_args} ${rc_arg}
}
    
run_rc_command "$1"
